Subject: RE: cygwin1.dll [1.3.11-3]: bug involving pwd and cygdrive
From: "Javier" <[email-masked]>
To: [email-masked]
Date: Mon, 24 Jun 2002 13:58:15 +0200
Newsgroups: gmane.os.cygwin

I think it might not be a bug??

Windows 2000, both NTFS and FAT32 partitions

Cygwin on c:\cygwin (FAT32).

DEVELO~1> bash --version
GNU bash, version 2.05a.0(3)-release (i686-pc-cygwin)
Copyright 2001 Free Software Foundation, Inc.
DEVELO~1> uname -a
CYGWIN_NT-5.0 UNO 1.3.11(0.53/3/2) 2002-06-23 22:31 i686 unknown
DEVELO~1> cd /cygdrive/c
c> cd ..
cygdrive> pwd
/cygdrive
cygdrive>

"Kiran Prakash" <[email-masked]> escribió en el mensaje
news:[email-masked]...
> Hello,
>
> I have Windows98SE on FAT32.
>
> In any bash window,
>
> type "cd /cygdrive/c"
> type "cd .."
> type "pwd" the current directory shows up as "/cygdrive/c/.."
>
> Since this doesn't occur in tcsh/sh/zsh, it might be a bash bug.
> (bash 2.05a-3)
>
> cygdrive is mounted as system,binmode
>
> This problem seems to have existed from cygwin1.dll version 1.3.11-1 (I
> checked).
>
> Thanks,
> Kiran Prakash
>
> --
> Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
> Bug reporting:         http://cygwin.com/bugs.html
> Documentation:         http://cygwin.com/docs.html
> FAQ:                   http://cygwin.com/faq/
>
>

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/